#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_THREADS)

add_subdirectory( applet )
add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE kdict.desktop
  PO_DIR kdict-desktops
)

install( FILES kdictui.rc DESTINATION ${DATA_INSTALL_DIR}/kdict )


##### kdict (tdeinit) ###########################

tde_add_tdeinit_executable( kdict AUTOMOC
  SOURCES
    dcopinterface.skel main.cpp actions.cpp dict.cpp options.cpp
    queryview.cpp toplevel.cpp sets.cpp matchview.cpp application.cpp
  LINK tdehtml-shared pthread
)
